if haskey(ENV, "GITLAB_CI")
    # This file requires a GPU in order to run. It gets tested as part of the
    # JuliaGPU CI on Gitlab. Contact @odow for more details.
    include("test_gpu.jl")
    exit(0)
end

using Test
using SCS

solvers = SCS.available_solvers

include("test_problems.jl")
include("MOI_wrapper.jl")

for s in solvers
    feasible_basic_problems(s)
end
include("options.jl")
include("MPB_wrapper.jl")

for s in solvers
    moi_tests(s)
end

